Isi
Indeks 🔎︎

# Fungsi CLng

Mengubah string atau ekspresi numerik apa pun menjadi bilangan bulat panjang.

## Sintaksis:

    Fix (Ekspresi)

## Nilai hasil:

Long

## Parameter:

anda: Tanda numerik apa pun yang ingin Anda ubah. Jika Expression lies di luar rentang integer panjang yang valid antara -2.147.483.648 dan 2.147.483.647, LibreOffice Dasar mengembalikan kesalahan melimpah. Untuk merubah tanda string, angka tersebut harus dimasukkan sebagai teks normal ("123.5") menggunakan format angka bawaan sistem operasi Anda.

Fungsi ini selalu membulatkan bagian pecahan dari bilangan ke bilangan bulat terdekat.

### Kode kesalahan:

5 Tidak sah dalam pemanggilan prosedur

## Contoh:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
    End Sub